Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.saml
Class SAMLAssertionStoreV2.AssertionInfo

    java.lang.Object
      weblogic.security.providers.saml.SAMLAssertionStoreV2.AssertionInfo

Enclosing interface:
  SAMLAssertionStoreV2

    public static class SAMLAssertionStoreV2.AssertionInfo

extends Object

The `AssertionInfo` class is returned by `SAMLAssertionStoreV2.retrieveAssertionInfo()`. It contains the retrieved assertion and related information.

Constructor Summary
`SAMLAssertionStoreV2.AssertionInfo(String artifact, String partnerId, long expire, Element assertion)` Construct a new `AssertionInfo`.

Method Summary
`String` | `getArtifact()` Return the artifact contained in this `AssertionInfo`.
`Element` | `getAssertion()` Return the assertion contained in this `AssertionInfo`.
`long` | `getExpire()` Return the expiration time contained in this `AssertionInfo`.
`String` | `getPartnerId()` Return the partner ID contained in this `AssertionInfo`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMLAssertionStoreV2.AssertionInfo

    public SAMLAssertionStoreV2.AssertionInfo(String artifact,
                                              String partnerId,
                                              long expire,
                                              Element assertion)

  Construct a new `AssertionInfo`. Used by implementations of `SAMLAssertionStoreV2` to return assertion into to callers.

  Parameters:
    `artifact` - The SAML artifact corresponding to the assertion.
    `partnerId` - The partner ID of the SAML relying party to whom the artifact was issued.
    `expire` - The expiration time of the assertion, as a `long` value.
    `assertion` - The assertion, as a DOM element.

Method Detail

### getArtifact

    public String getArtifact()

  Return the artifact contained in this `AssertionInfo`.

  Returns:
    The artifact.

### getPartnerId

    public String getPartnerId()

  Return the partner ID contained in this `AssertionInfo`.

  Returns:
    The partner ID.

### getExpire

    public long getExpire()

  Return the expiration time contained in this `AssertionInfo`.

  Returns:
    The expiration time.

### getAssertion

    public Element getAssertion()

  Return the assertion contained in this `AssertionInfo`.

  Returns:
    The assertion.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD